define(['jquery', 'core/modal_factory', 'core/modal_events'], function($, ModalFactory, ModalEvents) {

  var getBody = function(lesson){
    var retVal = '<iframe border="0" frameborder="0" style="width:100%; height:500px"';
    retVal += ' src="https://play.seenkit.com/p/?mid='+lesson+'"></iframe>';
    return retVal;
  };

  return{
    init:
      function(){
        $('[data-seenkit]').each(function(){
            var lesson = $(this).data('seenkit');
            ModalFactory.create({
            type: ModalFactory.types.CANCEL,
            body: getBody(lesson),
            large: true,
            }, $(this))
            .done(function(modal){
                modal.getRoot().on(ModalEvents.hidden, function() {
                    modal.setBody('');
                });
                modal.getRoot().on(ModalEvents.shown, function() {
                    modal.setBody(getBody(lesson));
                });
            });
        });
      }
  };
});