<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Seenkit block edit lesson form
 *
 * @package     block_seenkit
 * @copyright  	2022 onwards Abaco Technology  {@link https://www.abacotechnology.com}
 * @license    	http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace block_seenkit\form;

require_once("$CFG->libdir/formslib.php");

class edit_unit_form extends \moodleform {


    //Add elements to form
    public function definition() {
        global $CFG;

        $mform = $this->_form;
		$mform->addElement('header', 'general', get_string('general'));
		$mform->addElement('text', 'title', get_string('title','block_seenkit'), array('size' => 40));
		$mform->setType('title', PARAM_NOTAGS);
		$mform->addRule('title', get_string('error_required', 'block_seenkit'), 'required', '', 'client', false, false);
		$mform->addRule('title', get_string('error_title_length', 'block_seenkit'), 'maxlength', 64, 'client', false, false);
		$mform->addRule('title', get_string('error_title_length', 'block_seenkit'), 'minlength', 4, 'client', false, false);

		$mform->addElement('text', 'description', get_string('description'), array('size'=>'70'));
		$mform->setType('description', PARAM_NOTAGS);
		$mform->addRule('description', get_string('error_desc_too_long', 'block_seenkit'), 'maxlength', 150, 'client', false, false);

		$mform->addElement('header', 'settings', get_string('settings'));
		$mform->addElement('checkbox', 'show_cursor', get_string('show_cursor', 'block_seenkit'), ' ');
		$mform->addElement('checkbox', 'show_speaker_name', get_string('show_speaker_name', 'block_seenkit'), ' ');
		$mform->addElement('text', 'speaker_name', get_string('speaker_name','block_seenkit'));
		$mform->disabledIf('speaker_name', 'show_speaker_name');
		$mform->addElement('checkbox', 'show_date', get_string('show_date', 'block_seenkit'), ' ');
		$mform->addElement('checkbox', 'show_video', get_string('show_video', 'block_seenkit'), ' ');
		$mform->disabledIf('show_video', 'has_video', 'eq', "0");
		$mform->addElement('hidden', 'lid');
		$mform->addElement('hidden', 'has_video');
		$mform->addElement('hidden', 'cmid');


		$this->add_action_buttons(true, get_string('save'));

    }
    //Custom validation should be added here
    function validation($data, $files) {

        return array();
    }


}
