

<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Seenkit block post install actions.
 *
 * @package     block_seenkit
 * @copyright  	2022 onwards Abaco Technology  {@link https://www.abacotechnology.com}
 * @license    	http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


function xmldb_block_seenkit_install(){
  global $DB;

  $context = context_system::instance();
  $roleid = false;
  $capabilities = array('local/seenkit:useseenkit');
  $checkrole = $DB->get_record('role', ['shortname' => 'seenkitusers']);
  if(!$checkrole){
    $snktroleid = create_role('Seenkit users', 'seenkitusers', '');
    set_role_contextlevels($snktroleid, [CONTEXT_SYSTEM]);
  }
}
