<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component block_seenkit, language 'en'
 *
 * @package   block_seenkit
 * @copyright 2022 onwards Abaco Technology  {@link https://www.abacotechnology.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
$string['pluginname'] = 'Seenkit block';
$string['pluginnameplural'] = 'Seenkit lessons';
$string['seenkit_units'] = 'Seenkit lessons';
$string['seenkit_units_flatnav'] = 'My Seenkit lessons';
$string['adminsettings'] = 'Seenkit plugin settings';
$string['api_key'] = 'Seenkit API key';
$string['api_key_desc'] = 'The unique Seenkit API key. If you don\'t have this key you can get one on seenkit.com';
$string['api_secret'] = 'Seenkit API secret';
$string['api_secret_desc'] = 'The unique Seenkit API secret. If you don\'t have this value you can get it on seenkit.com. Please keep this value safe.';
$string['api_url'] = 'Seenkit API url';
$string['api_url_desc'] = 'The url of the Seenkit API service.';
$string['unit'] = 'Seenkit lesson';
$string['seenkit:useseenkit'] = 'User can use the Seenkit tool to create lessons';
$string['seenkit:myaddinstance'] = 'User can add Seenkit block to dashboard';
$string['title'] = 'Title';
$string['created'] = 'Created';
$string['play'] = 'Play';
$string['new_unit'] = 'Record a new lesson';
$string['presentation_file'] = 'Presentation file';
$string['play_unit'] = 'Play lesson';
$string['error_required'] = 'The field is required';

$string['delete_confirm_title'] = 'Confirm';
$string['delete_confirm_text'] = 'Do you really want to delete this lesson?';
$string['duration'] = 'Duration';
$string['slides'] = 'Slides';
$string['edit_unit'] = 'Edit lesson';

$string['unit_update_error'] = 'Could not update lesson';
$string['unit_update_success'] = 'Lesson update was successfull';

$string['processing'] = 'Processing, please wait ...';
$string['error_required'] = 'This field is required';
$string['error_title_length'] = 'Title must be beetween 4 and 64 chars';
$string['error_desc_too_long'] = 'Description max allowed length is 150 chars';
$string['before_recording'] = 'Before recording a new lesson please wait until all your previous lessons are processed';
$string['cannot_delete_used_unit'] = 'The lesson could not be deleted because it is used in a course activity';
$string['cannot_delete_unit'] = 'The lesson could not be deleted';

$string['show_cursor'] = 'Show cursor movements';
$string['show_video'] = 'Show video';
$string['show_speaker_name'] = 'Show speaker name';
$string['speaker_name'] = 'Speaker name';
$string['show_date'] = 'Show recording date';
$string['presentation_file_help'] = 'A file to be uploaded and used during the presentation by the presenter. Allowed file types are: .PPT, .PPTX, .PNG, .JPEG, .DOC, .ODF';
$string['add_comment'] = 'Add a video comment';
$string['new_comment'] = 'Record a new Seenkit comment';
$string['seenkit_comment'] = 'Seenkit comment';
$string['watch_seenkit_comment'] = 'Watch the Seenkit comment';
$string['new_question_comment'] = 'Record a new comment to question';
$string['comment_for_question'] = 'Video comment for question';
$string['click_to_preview'] = 'Click to preview recording';
$string['scorm_exit_button'] = 'Show exit button in SCORM player';
$string['scorm_exit_button_desc'] = 'If selected the exit button will be shown in SCORM player. Select only if you play SCORM packages in pop up window.';
$string['taskdeletepresentationfiles'] = 'Delete uploaded presentation files used during recordings';

$string['privacy:metadata:block_seenkit_table'] = 'Table that contains the recordings data for this platform';
$string['privacy:metadata:block_seenkit_table:userid'] = 'Userid of the user who recorded the unit';
$string['privacy:metadata:block_seenkit_table:seenkit_internal_id'] = 'Seenkit platform internal ID of the recording';
$string['privacy:metadata:block_seenkit:recording_content'] = 'The content (audio, video, slides) of the single recording';
$string['privacy:metadata:block_seenkit'] = 'The Seenkit plugin transmits user data from Moodle to the remote system';
$string['privacy:metadata:block_seenkit:seenkit_export'] = 'The Seenkit block plugin';
$string['privacy:user'] = 'User';

$string['block_link'] = 'Click here to manage your recordings or record a new one.';
$string['block_title'] = 'My Seenkit recordings';
$string['apierror'] = 'Seenkit API error: {$a}';
