<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component block_seenkit, language 'it'
 *
 * @package   block_seenkit
 * @copyright 2022 onwards Abaco Technology  {@link https://www.abacotechnology.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
$string['pluginname'] = 'Seenkit block';
$string['pluginnameplural'] = 'Seenkit lessons';
$string['seenkit_units'] = 'Lezioni Seenkit';
$string['seenkit_units_flatnav'] = 'Le mie lezioni Seenkit';
$string['adminsettings'] = 'Configurazione del plugin Seenkit';
$string['api_key'] = 'Chiave API di Seenkit';
$string['api_key_desc'] = 'La chiave univoca per le API di Seenkit. Se non disponi di questa chiave puoi ottenerne una su seenkit.com';
$string['api_secret'] = 'Codice segreto delle API di Seenkit';
$string['api_secret_desc'] = 'Il codice segreto per le API di Seenkit. Se non disponi di questo valore puoi ottenerne uno su seenkit.com. Tieni al sicuro questo codice.';
$string['api_url'] = 'Url delle API di Seenkit';
$string['api_url_desc'] = 'L\'url del servizio API di Seenkit.';
$string['unit'] = 'Lezione Seenkit';
$string['seenkit:useseenkit'] = 'L\'utente può utilizzare Seenkit per creare lezioni';
$string['seenkit:myaddinstance'] = 'L\'utente può aggiungere il blocco Seenkit alla propria dashboard';
$string['title'] = 'Titolo';
$string['created'] = 'Creata il';
$string['play'] = 'Play';
$string['new_unit'] = 'Registra una nuova lezione';
$string['presentation_file'] = 'File della presentazione';
$string['play_unit'] = 'Play lesson';
$string['error_required'] = 'Questo campo è richiesto';

$string['delete_confirm_title'] = 'Conferma';
$string['delete_confirm_text'] = 'Vuoi veramente eliminare questa lezione?';
$string['duration'] = 'Durata';
$string['slides'] = 'Slide';
$string['edit_unit'] = 'Modifica lezione';

$string['unit_update_error'] = 'Non è stato possibile oggiornare la lezione';
$string['unit_update_success'] = 'L\'aggiornamento della lezione è stato effettuato correttamente';

$string['processing'] = 'Finalizzazione in corso, attendere ... Il processo può richiedere dai 3 ai 5 minuti.';
$string['error_required'] = 'Questo campo è richiesto';
$string['error_title_length'] = 'La lunghezza del titolo deve essere compresa fra 4 e 64 caratteri';
$string['error_desc_too_long'] = 'La lunghezza massima della descriozione è di 150 caratteri';
$string['before_recording'] = 'Prima di registrare una nuova lezione è ncessario attendere che tutte le lezioni precedenti siano state processate';
$string['cannot_delete_used_unit'] = 'Non è stato possibile eliminare la lezione perché è utilizzata come attività in un corso';
$string['cannot_delete_unit'] = 'Non è stato possibile eliminare la lezione';

$string['show_cursor'] = 'Mostra movimenti del cursore';
$string['show_video'] = 'Mostra il video';
$string['show_speaker_name'] = 'Mostra nome del docente';
$string['speaker_name'] = 'Nome del docente';
$string['show_date'] = 'Mostra data di registrazione';

$string['presentation_file_help'] = '<p>È possibile caricare facoltativamente un file che verrà utilizzato durante la presentazione.</p><p>I tipi di file ammessi sono: .PPT, .PPTX, .PNG, .JPEG, .DOC, .ODF</p><p>Nel caso non venga caricato nessun file, sarà comunque possibile utilizzare la lavagna elettronica.</p>';
$string['add_comment'] = 'Aggiungi un video commento';
$string['new_comment'] = 'Registra un nuovo commento Seenkit';
$string['seenkit_comment'] = 'Video commento Seenkit';
$string['watch_seenkit_comment'] = 'Guarda il video commento';
$string['new_question_comment'] = 'Registra un nuovo commento alla domanda';
$string['comment_for_question'] = 'Video commento domanda';
$string['click_to_preview'] = 'Clicca per visualizzare l\'anteprima';

$string['scorm_exit_button'] = 'Mostra il bottone "Salva avanzamento ed esci" nel player SCORM';
$string['scorm_exit_button_desc'] = 'Se selezionato il bottone "Salva avanzamento ed esci" sarà visualizzato nel player SCORM. Selezionare solo se i moduli SCORM saranno impostati per aprirsi in una nuova finestra (pop up).';
$string['taskdeletepresentationfiles'] = 'Cancella i file utilizzati come presentazioni durante le registrazioni';

$string['privacy:metadata:block_seenkit_table'] = 'Tabella che contiene i dati delle regstrazioni effettuate su questa piattaforma';
$string['privacy:metadata:block_seenkit_table:userid'] = 'ID dell\'utente che ha regstrato l\'unità';
$string['privacy:metadata:block_seenkit_table:seenkit_internal_id'] = 'ID della registrazione inerno alla piattaforma seenkit';
$string['privacy:metadata:block_seenkit:recording_content'] = 'Il contenuto (audio, video, slides) della singola registrazione';
$string['privacy:metadata:block_seenkit'] = 'Il plugin Seenkit trasmette dati dell\'utente a un sistema esterno';
$string['privacy:metadata:block_seenkit:seenkit_export'] = 'Il block plugin Seenkit';
$string['privacy:user'] = 'Utente';

$string['block_link'] = 'Clicca qui per creare nuove registrazioni o gestire quelle esistenti.';
$string['block_title'] = 'Le mie registrazioni Seenkit';
$string['apierror'] = 'Seenkit API error: {$a}';