<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package 	local_seenkit
 * @copyright  	2020 onwards Abaco Technology  {@link https://www.abacotechnology.com}
 * @license    	http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;


function extract_img_from_html ($html, $imgs = array()) {
	$k = 0;
	while(strpos($html, "<img") !== false || $k > 20){
		$k++;
		$img_tag = substr($html, strpos($html, "<img"), (strpos($html, ">", strpos($html, "<img")) - strpos($html, "<img")) + 1);
		$html = substr($html, strpos($html, ">", strpos($html, "<img")) + 1);
		$imgs[] = $img_tag;
	}

	return $imgs;
}

function extract_src_from_img ($img) {

	return substr($img, strpos($img, "src=\"") + 5, (strpos($img, "\"", strpos($img, "src=\"") + 5) - (strpos($img, "src=\"") + 5)));

}

function create_uploads_folder(){
	global $CFG;
	$randomChars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
	$new_dir_name = '';
	$new_dir_check = false;
	while(!$new_dir_check){
		$new_dir_name = '';
		for($i=0; $i<10; $i++){
			$new_dir_name .= $randomChars[rand(0, strlen($randomChars) - 1)];
		}
		if (!file_exists($CFG->dirroot.'/blocks/seenkit/uploads/'.$new_dir_name) && !is_dir($CFG->dirroot.'/blocks/seenkit/uploads/'.$new_dir_name)) {
			mkdir($CFG->dirroot.'/blocks/seenkit/uploads/'.$new_dir_name);
			$new_dir_check = true;
		}
	}

	return $new_dir_name;
}
